Subject: NA Digest V87 #63

From: NA Digest <[email-masked]>
Date: Tue 28 Jul 87 20:48:08 PDT

NA Digest   Tuesday, July 28, 1987   Volume 87 : Issue 63

This weeks Editor: Cleve Moler

Today's Topics:

                        Symbolic Manipulators
                 Whereabouts of one Bernadette Miara
                           Position Wanted
                   Conference Honoring Jim Douglas

----------------------------------------------------------------------

Posted-From: The MITRE Corp., Bedford, MA
To: [email-masked]
Subject: Symbolic Manipulators
Date: Fri, 24 Jul 87 09:21:22 EDT
From: James R. Van Zandt <[email-masked]>

> ... does anyone care to volunteer opinions concerning microcomputer-based
> symbolic manipulation software (such as mu-math)?
> 
> Baker Kearfott
> [email-masked]
 
I've spent some time with muMATH.  I think it needs work in three areas:
 
	1.	The command language is hard to work with.  Control variables
	determine whether, for example, expressions are distributed or
	factored.  Positive values cause distribution while negative values
	cause factoring.  The different types of expressions (numerical,
	sums, others) are each assigned a prime number, and the value
	assigned to a variable is the product of the corresponding set of
	primes.  This is even worse than the usual scheme, of summing the
	correct set of powers of 2.  
 
	2.	Expressions are displayed in a linear format similar to FORTRAN 
	rather than a 2D format with built-up fractions, etc.  However, the
	latest Soft Warehouse newsletter had an ad for CALC-87, available
	in source code, which is supposed to include this.  (source: R. 
	Freese or D.  Stegenga, Dept.  of Mathematics, U of Hawaii,
	Honolulu HI 96822, $35.  Caveat emptor - I haven't tried it.)
 
	3.	There are no convenient ways to select a subexpression, perform
	some operations on it, and substitute it back.  I've made some
	progress on this one.
 
One would expect size limitations on a microcomputer system, and in
fact the documentation includes a fair amount of discussion on space
optimization.  However, the documentation (and program, for the most
part) dates from 1983, when 640K machines were less common.  (muMATH
can use up to 320K.) I've run out of space only due to programming
errors (infinite recursion).
 
Unfortunately, I've had no significant experience with other symbolic
manipulation systems, so I can't give many comparisons.  However, I
notice that in MATHLAB (a precursor of MACSYMA) you could specify which
variables were more important so that, for example, in a polynomial the
like powers of a given variable would be collected.  muMATH doesn't let
you do this.
 
Has anybody else been working on extending muMATH? Would the na library
accept contributions of muMATH source code?
 
                           - Jim Van Zandt

------------------------------

Date: Fri, 24 Jul 87 09:32:08 MDT
From: Roland Sweet <[email-masked]>
To: [email-masked]
Subject: Whereabouts of one Bernadette Miara

Does anyone know the whereabouts of Bernadette Miara.  Several months ago she
sent me a message, but my reply to her via nanet has been returned as undeliv-
erable.  I would appreciate any help in determining her address--electronic or
postal.  Thanks.

------------------------------

Date:     Sun, 26 Jul 87 16:18 MST
From: Juan-Carlos Lerman <[email-masked]>
Subject:  Position Wanted
To: [email-masked]

From: JUAN-CARLOS LERMAN <[email-masked]>
To: EVERYONE on the NA NETWORK
Re: POSITION WANTED
   M.S. (Buenos Aires), Ph.D. (Paris), I am currently looking for a position
in research or/and teaching or/and service.
   My expertise is in the field of numerical and computational experiments and
simulations, including computer techniques, numerical analysis, exploratory
statistics, time-series and data analysis. I have published applications to
diverse areas such as geophysics and geochemistry, and physiology.
   Recently contributed to the development of new methods to study spacial and
temporal data sequences, of application also to biomedical areas of clinical
importance. This work was supported by a Senior Fellowship award from the NIH
(National Institutes of Health).
   This award allowed me to work during several years in a multidisciplinary
field relating mathematics, dynamical systems, computations, physics, biology,
and medicine.
   I can provide a curriculum vitae, reviewers comments, publications lists,
and other information by e-mail.
   Phones: (602) 795-6534 at home, and (602) 621-4664 at the Applied Math
Program, Univ. of Arizona, Tucson, AZ 85721.
   E-mail addresses: na.lerman in the NA NETWORK
        and also at: newell1@arizrvax in BITNET
(THESE ARE MULTIUSER ACCOUNTS. PLEASE MENTION MY NAME IN MESSAGE'S HEADINGS.)

------------------------------

Date: Tue, 28 Jul 87 20:25:33 CDT
From: "Douglas N. Arnold" <[email-masked]>
To: [email-masked]
Subject: Conference Honoring Jim Douglas

     ***** Second Announcement and registration form *****

   ADVANCES IN COMPUTATIONAL MODELLING AND NUMERICAL ANALYSIS

                      University of Chicago

                 September 10, 11, and 12, 1987

            A conference in honor of Jim Douglas, Jr.
            on the occasion of his sixtieth birthday.

The conference will focus on recent advances in techniques of
scientific computation, especially the numerical solution of
differential equations, and their mathematical analysis.  The
conference will consist of invited lectures with ample time for
discussion.  Lectures will be presented by
          
          Douglas Arnold            Jacques-Louis Lions
          Ivo Babuska               Mitchell Luskin
          James Bramble             Jean-Claude Nedelec
          Franco Brezzi             Joachim Nitsche
          Craig Douglas             Vidar Thomee
          Roland Glowinski          Mary Wheeler
          Herbert Keller

REGISTRATION: Conference registration is $10 if received by
August 15.  If paid after August 15 or at the conference,
registration is $15.  A banquet in honor of Professor Douglas
will be held on Friday, September 11, at the Quadrangle Club.

ACCOMODATIONS: Rooms are available at the Hyde Park Hilton at a
special conference rate of $65 for a single or double room.  To
receive these rates your reservations must be received by the
conference secretary by August 15.  Reservation requests
received thereafter will be subject to room availability and
will not benefit from the reduced conference rate. 

CONFERENCE SUPPORT: The conference is supported by the National
Science Foundation, the Air Force Office of Scientific Research,
and the Office of Naval Research. 

  To register use the form below.  Make checks payable to the
  University of Chicago.  For more information write:

                 Conference Secretary
                 Department of Mathematics
                 University of Chicago
                 5734 Univerisity Avenue
                 Chicago, Illinois   60637
                   phone: (312) 702-7100

--------- detach here and return to the Conference Secretary --------

Name: ___________________________________________ Phone: ____________

Address:  ___________________________________________________________

          ___________________________________________________________

          ___________________________________________________________

_____ Yes, I plan to attend.  Enclosed please find my registration
      fee of $10 ($15 after August 15).

_____ I will attend the banquet.  An additional $20 is enclosed.

----- Please reserve a single room for me.  I attend to arrive on
      ______________ and depart on ______________.

_____ Please reserve a double room for me and a companion.  We intend
      to arrive on ______________ and depart on ______________.

_____ Please reserve a double room for me and _______________________
      who will also attend the conference.  We intend to arrive on
      ______________ and depart on ______________.

------------------------------

End of NA Digest
**************************
-------